Bug 662294 - compiz-gtk has flawed logic preventing ccsm from working
Summary: compiz-gtk has flawed logic preventing ccsm from working
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: compiz
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-11 09:57 UTC by Rui Miguel Seabra
Modified: 2012-08-16 18:51 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-08-16 18:51:56 UTC


Attachments (Terms of Use)
Test for ccsm's presence rather than a flawed logic in if which breaks ccsm (564 bytes, application/octet-stream)
2010-12-11 09:57 UTC, Rui Miguel Seabra
no flags Details

Description Rui Miguel Seabra 2010-12-11 09:57:43 UTC
Created attachment 468130 [details]
Test for ccsm's presence rather than a flawed logic in if which breaks ccsm

Description of problem:

compiz-gtk, from compiz-gnome package, has a flawed logic in it's function runCompiz()'s if.

It tests whether gconf plugin is present, and if so, runs in ccp mode (WTF?). Else, it runs in gconf mode (WTF)?

There are two problems here:
 1. the test is applied to the wrong paths
 2. the test has a flawed inverted logic

Fixing problem 1 means using

        if ( [ -e /usr/lib/compiz/libgconf.so ] || [ -e /usr/lib64/compiz/libgconf.so ] )

rather than

        if ( [ -e /usr/lib/compizconfig/backends/libgconf.so ] || [ -e /usr/lib64/compizconfig/backends/libgconf.so ] )

Fixing problem 2 means using, as "then" action:

                exec compiz --ignore-desktop-hints glib gconf gnomecompat $@

and using, as "else" action:

                exec compiz --ignore-desktop-hints glib ccp gnomecompat $@


However, this opens a can of worms... as the if will always succeed when this package is installed, which also owns the starter script.

A possibly better solution is to test for the presence of ccsm instead, which would indicate the user's wish to use ccsm, and that is what my patch does.

Comment 1 Fedora Admin XMLRPC Client 2011-06-01 20:28:42 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Fedora Admin XMLRPC Client 2011-06-01 20:29:14 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora Admin XMLRPC Client 2011-06-01 20:29:53 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora Admin XMLRPC Client 2011-06-01 20:32:15 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Fedora End Of Life 2012-08-16 18:51:59 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.